Subject: Re: bug#6256: 24.0.50; read-event in `repeat' command

From: Jan Djärv <[email-masked]>
Date: Tue, 19 Oct 2010 08:50:56 +0200

2010-10-19 03:13, Stefan Monnier skrev:

> That's a general problem under X11, yes.  There are various ways to work
> around the problem, but it's a source of annoyances.  Typically, the
> additional buttons will then appear not as mouse-4/5 but for example as
> mouse-6,7,8.
>

If you have a mouse that scrolls horizontally also it comes as mouse 6 and 7. 
  So extra buttons in that case would be 8, 9, 10 and so on.  This makes it 
har do make code that uses extra buttons, there is no unique button numbering 
between different mouses except 1-5.

	Jan D.